Index: main/loader.c
===================================================================
--- main/loader.c	(revision 86585)
+++ main/loader.c	(working copy)
@@ -318,7 +318,7 @@
 	return cur;
 }
 
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 static void unload_dynamic_module(struct ast_module *mod)
 {
 	void *lib = mod->lib;
@@ -500,7 +500,7 @@
 	if (!error && !mod->lib)
 		mod->info->restore_globals();
 
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 	if (!error)
 		unload_dynamic_module(mod);
 #endif
@@ -627,7 +627,7 @@
 		if (global_symbols_only && !ast_test_flag(mod->info, AST_MODFLAG_GLOBAL_SYMBOLS))
 			return AST_MODULE_LOAD_SKIP;
 	} else {
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 		if (!(mod = load_dynamic_module(resource_name, global_symbols_only))) {
 			/* don't generate a warning message during load_modules() */
 			if (!global_symbols_only) {
@@ -645,7 +645,7 @@
 
 	if (inspect_module(mod)) {
 		ast_log(LOG_WARNING, "Module '%s' could not be loaded.\n", resource_name);
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 		unload_dynamic_module(mod);
 #endif
 		return AST_MODULE_LOAD_DECLINE;
@@ -732,7 +732,7 @@
 	struct load_order load_order;
 	int res = 0;
 	struct ast_flags config_flags = { 0 };
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 	struct dirent *dirent;
 	DIR *dir;
 #endif
@@ -771,7 +771,7 @@
 			order = add_to_load_order(mod->resource, &load_order);
 		}
 
-#if LOADABLE_MODULES
+#ifdef LOADABLE_MODULES
 		/* if we are allowed to load dynamic modules, scan the directory for
 		   for all available modules and add them as well */
 		if ((dir  = opendir(ast_config_AST_MODULE_DIR))) {
Index: main/acl.c
===================================================================
--- main/acl.c	(revision 86585)
+++ main/acl.c	(working copy)
@@ -127,7 +127,7 @@
 	struct ast_ha *prev = NULL;
 	struct ast_ha *ret;
 	int x;
-	char *tmp = strdupa(stuff);
+	char *tmp = ast_strdupa(stuff);
 
 	ret = path;
 	while (path) {
